gsize {igraph} | R Documentation

## The size of the graph (number of edges)

### Description

`ecount` of an alias of this function.

### Usage

    gsize(graph)

### Arguments

`graph` | The graph.

### Value

Numeric scalar, the number of edges.

### See Also

Other structural queries: `[.igraph`, `[[.igraph`, `adjacent_vertices`, `are_adjacent`, `ends`, `get.edge.ids`, `gorder`, `head_of`, `incident_edges`, `incident`, `is_directed`, `neighbors`, `tail_of`

### Examples

    g <- sample_gnp(100, 2/100)
    gsize(g)

    # Number of edges in a G(n,p) graph
    replicate(100, sample_gnp(10, 1/2), simplify = FALSE) %>%
      vapply(gsize, 0) %>%
      hist()

[Package igraph version 1.1.2 Index]